Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_ORB_Holder Class Reference

Utility for automatically destroying the ORB. More...

`#include <EC_Lifetime_Utils.h>`

List of all members.

## Public Methods
| TAO_EC_ORB_Holder (void)
| Constructor. No-op.
| ~TAO_EC_ORB_Holder (void)
| Destructor. If holding an ORB, destroy it.
void | init (CORBA::ORB_var orb_var)
## Private Methods
TAO_EC_ORB_Holder & | operator= (const TAO_EC_ORB_Holder &rhs)
| TAO_EC_ORB_Holder (const TAO_EC_ORB_Holder &rhs)
## Private Attributes
CORBA::ORB_var | orb_
| ORB to be destroyed.

## Detailed Description

Utility for automatically destroying the ORB.

Holds a reference to an ORB, and calls destroy() on it in the destructor.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_ORB_Holder::TAO_EC_ORB_Holder | ( | void |  | ) |

| Constructor. No-op.

ACE_INLINE TAO_EC_ORB_Holder::~TAO_EC_ORB_Holder | ( | void |  | ) |

| Destructor. If holding an ORB, destroy it.

TAO_EC_ORB_Holder::TAO_EC_ORB_Holder | ( | const TAO_EC_ORB_Holder & | rhs | ) | `[private]`

## Member Function Documentation

ACE_INLINE void TAO_EC_ORB_Holder::init | ( | CORBA::ORB_var | orb_var | ) |

| Set the ORB to be destroyed in destructor to <orb_var>. If TAO_EC_ORB_Holder already held an orb prior to invocation of this method, that orb is NOT destroyed.

TAO_EC_ORB_Holder& TAO_EC_ORB_Holder::operator= | ( | const TAO_EC_ORB_Holder & | rhs | ) | `[private]`

## Member Data Documentation

CORBA::ORB_var TAO_EC_ORB_Holder::orb_`[private]`

| ORB to be destroyed.

The documentation for this class was generated from the following files:

- EC_Lifetime_Utils.h
- EC_Lifetime_Utils.i